const Errors = React.createContext([])

const Error = props => (
  <li>{props.error.message}</li>
)

const ErrorList = props => {
  const errors = React.useContext(Errors)

  return (
    <ul>
      {errors.filter(error => !error.waived).map(error => <Error error={error} />)}
    </ul>
  )
}

export default ErrorList
export { ErrorList }
